Add support for ASSERT_WITH_SECURITY_IMPLICATION.